Gantt.app
---------

Gantt is a project management tool for GNUStep, which ultimately aims to offer a free and open alternative to commercial project management tools.  Currently, functionality is limited to visualizing task progress as a gantt chart.

Requirements
------------

Gantt.app requires that the GNUStep libraries (and GNUStep Make) be available on your system. For Ubuntu, this may also require that additional "devel" versions of the libraries are installed.

The software also makes use of the Renaissance framework (http://www.gnustep.it/Renaissance/Download.html), which should be installed in your GNUStep Frameworks library.

For testing, the UnitKit framework is required (https://github.com/etoile/UnitKit).

Building
--------

Compile with the 'make' command. On FreeBSD, the 'gmake' command should be used instead.

To start Gantt.app in the current directory, run 'openapp ./Gantt'

To install, copy the compiled 'Gantt.app' package to your systems Local GNUStep Applications directory, which will typically be '/usr/local/GNUstep/Local/Applications'.

Testing
-------

Tests are built by running 'make test=yes'.

Tests can then be run with UnitKit: 'ukrun Test.bundle'
